# Generated by Django 3.1.4 on 2021-08-23 12:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='EsapComputeResource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('resource_name', models.CharField(max_length=50, verbose_name='Resource Name')),
                ('resource_type', models.CharField(max_length=50, verbose_name='Resource Type')),
                ('resource_url', models.URLField(verbose_name='Resource URL')),
            ],
            options={
                'verbose_name': 'Compute Resource',
                'verbose_name_plural': 'Compute Resources',
            },
        ),
        migrations.CreateModel(
            name='EsapQuerySchema',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('schema_name', models.CharField(max_length=50, verbose_name='Schema Name')),
            ],
            options={
                'verbose_name': 'Query Schema',
                'verbose_name_plural': 'Query Schemas',
            },
        ),
        migrations.CreateModel(
            name='EsapSoftwareRepository',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('repository_name', models.CharField(max_length=50, verbose_name='Repository Name')),
                ('repository_type', models.CharField(max_length=50, verbose_name='Repository Type')),
                ('repository_url', models.URLField(verbose_name='Repository URL')),
            ],
            options={
                'verbose_name': 'Software Repository',
                'verbose_name_plural': 'Software Repositories',
            },
        ),
        migrations.CreateModel(
            name='EsapUserProfile',
            fields=[
                ('user_name', models.CharField(max_length=50, primary_key=True, serialize=False, verbose_name='Username')),
                ('full_name', models.CharField(max_length=100, null=True, verbose_name='Full Name')),
                ('user_email', models.EmailField(max_length=254, verbose_name='User Email')),
                ('uid', models.CharField(default='uid', max_length=255, null=True, verbose_name='uid')),
                ('oidc_id_token', models.TextField(blank=True, null=True)),
                ('oidc_access_token', models.TextField(blank=True, null=True)),
                ('id_token_expiration', models.DateTimeField(null=True)),
                ('compute_resources', models.ManyToManyField(blank=True, to='accounts.EsapComputeResource', verbose_name='Compute Resources')),
                ('query_schema', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.SET_NULL, to='accounts.esapqueryschema', verbose_name='Preferred Query Schema')),
                ('software_repositories', models.ManyToManyField(blank=True, to='accounts.EsapSoftwareRepository', verbose_name='Software Repositories')),
            ],
            options={
                'verbose_name': 'User Profile',
                'verbose_name_plural': 'User Profiles',
            },
        ),
        migrations.CreateModel(
            name='EsapShoppingItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('item_data', models.JSONField(verbose_name='Item Data')),
                ('user_profile', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='shopping_cart', to='accounts.esapuserprofile', verbose_name='User Profile')),
            ],
            options={
                'verbose_name': 'Selected Item',
                'verbose_name_plural': 'Selected Items',
            },
        ),
    ]
